Skip to main content
POST
/
parties
Create a party
curl --request POST \
  --url https://sandbox-api.finpace.example/v1/parties \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Idempotency-Key: <idempotency-key>' \
  --data '
{
  "partyType": "organization",
  "displayName": "Northwind Trade GmbH",
  "legalName": "Northwind Trade GmbH",
  "registrationNumber": "FN123456z",
  "countryOfIncorporation": "AT",
  "segment": "sme",
  "addresses": [
    {
      "line1": "Opernring 10",
      "city": "Vienna",
      "postalCode": "1010",
      "country": "AT"
    }
  ],
  "contacts": [
    {
      "type": "email",
      "value": "finance@northwind.example",
      "preferred": true
    }
  ]
}
'
{
  "partyId": "pty_01JQ9K6F0K4R9D5J5Q8C6N1J8A",
  "partyType": "organization",
  "displayName": "Northwind Trade GmbH",
  "status": "prospect",
  "legalName": "Northwind Trade GmbH",
  "registrationNumber": "FN123456z",
  "countryOfIncorporation": "AT",
  "segment": "sme",
  "taxNumber": "<string>",
  "addresses": [
    {
      "line1": "<string>",
      "line2": "<string>",
      "city": "<string>",
      "postalCode": "<string>",
      "region": "<string>",
      "country": "AT"
    }
  ],
  "contacts": [
    {
      "type": "email",
      "value": "<string>",
      "preferred": false
    }
  ],
  "createdAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

OAuth 2.0 with client credentials for machine integrations and authorization code for delegated user sessions.

Headers

Idempotency-Key
string
required

Unique key used to make create and financial action requests safe to retry.

Maximum string length: 80
X-Request-Id
string

Caller-generated correlation identifier used for tracing.

Maximum string length: 80

Body

application/json
partyType
enum<string>
required
Available options:
organization,
individual
displayName
string
required
registrationNumber
string
countryOfIncorporation
string
segment
string
addresses
object[]
contacts
object[]

Response

Party created

partyId
string
required
Example:

"pty_01JQ9K6F0K4R9D5J5Q8C6N1J8A"

partyType
enum<string>
required
Available options:
organization,
individual
displayName
string
required
Example:

"Northwind Trade GmbH"

status
enum<string>
required
Available options:
prospect,
active,
restricted,
closed
Example:

"Northwind Trade GmbH"

registrationNumber
string
Example:

"FN123456z"

countryOfIncorporation
string
Example:

"AT"

segment
string
Example:

"sme"

taxNumber
string
addresses
object[]
contacts
object[]
createdAt
string<date-time>